corda / net.corda.node.services.statemachine / SendAndReceive

# SendAndReceive

`data class SendAndReceive<T : SessionMessage> : SendRequest, ReceiveRequest<T>`

### Constructors

<init> | `SendAndReceive(session: FlowSession, message: SessionMessage, receiveType: Class<T>, userReceiveType: Class<*>?)`

### Properties

message | `val message: SessionMessage`
receiveType | `val receiveType: Class<T>`
session | `val session: FlowSession`
stackTraceInCaseOfProblems | `val stackTraceInCaseOfProblems: StackSnapshot`
userReceiveType | `val userReceiveType: Class<*>?`